Package org.gradle.testing.jacoco.plugins

# Class JacocoReportAggregationPlugin

java.lang.Object
org.gradle.testing.jacoco.plugins.JacocoReportAggregationPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public abstract class JacocoReportAggregationPlugin extends Object implements Plugin<Project>
Adds configurations to for resolving variants containing JaCoCo code coverage results, which may span multiple subprojects. Reacts to the presence of the jvm-test-suite plugin and creates tasks to collect code coverage results for each named test-suite.

Since:
  7.4
See Also:
  - JaCoCo Report Aggregation Plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JACOCO_AGGREGATION_CONFIGURATION_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JacocoReportAggregationPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.
  `protected abstract DependencyFactory`
  `getDependencyFactory()`
  `protected abstract org.gradle.api.plugins.jvm.internal.JvmPluginServices`
  `getEcosystemUtilities()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JACOCO_AGGREGATION_CONFIGURATION_NAME

    public static final String JACOCO_AGGREGATION_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JacocoReportAggregationPlugin

    public JacocoReportAggregationPlugin()

- ## Method Details

  - ### getDependencyFactory

    @Inject protected abstract DependencyFactory getDependencyFactory()

  - ### getEcosystemUtilities

    @Inject protected abstract org.gradle.api.plugins.jvm.internal.JvmPluginServices getEcosystemUtilities()

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object